#include <iostream>
using namespace std;
int main()
{
    long n, m;
    cin>>n>>m;
    long a[n];
    for(int i = 0; i<n; i++)
        cin>>a[i];
    long s = 0;
    for(int i = 0; i<m; i++)
    {
        long x,y;
        cin>>x>>y;
        long p = a[x-1]+a[y-1];
        long q = (-a[x-1])+(-a[y-1]);
        s+= max(p,q);
    }
    cout<<s;
    return 0;
}